List webhook deliveries
List webhook delivery attempts under your account, newest first. Filter by endpoint, status, or event type; paginated via limit/offset.
Query Parameters
- Type: string Format: uuidendpoint
Id - Type: string enumstatusvalues
- P
E N D I N G - D
I S P A T C H E D - D
E L I V E R E D - F
A I L E D - S
K I P P E D
- enumtypeconst:payment_ordervalues
- payment
_order
- Type: integerlimitmin:1max:1000
Integer numbers.
- Type: integeroffsetmin:0max:9007199254740991
Integer numbers.
Responses
- application/json
- application/json
- application/json
Request Example for get/api/v1/webhooks/deliveries
curl https://api.bettermoney.com/api/v1/webhooks/deliveries
{
"deliveries": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"endpointId": "123e4567-e89b-12d3-a456-426614174000",
"eventId": "string",
"publicEventType": "payment_order",
"status": "PENDING",
"attemptSalt": -9007199254740991,
"lastStatusCode": null,
"lastError": null,
"createdAt": "2026-09-08T20:57:50.192Z",
"dispatchedAt": null,
"deliveredAt": null,
"failedAt": null
}
],
"total": 1,
"limit": 1,
"offset": 1,
"hasMore": true
}